try {
var EXPORTED_SYMBOLS = ["CoreModuleGetter"];
var { classes: Cc, interfaces: Ci, utils: Cu, results: Cr } = Components;

Cu.import("resource://wot-chrome-modules/log.js");
Cu.import("resource://wot-chrome-modules/Utils.js");

var DEBUG_ON = true;
if (!DEBUG_ON) { log = () => {}; warn = log; }

var CoreModuleGetter = new function() {
    this.getModule = function(moduleName, window) {
        window = window || Utils.getMostRecentWindow();

        if (this.isModuleExists(moduleName, window)) {
            return window[moduleName];
        }
    };

    this.isModuleExists = function(moduleName, window) {
        return window && window.hasOwnProperty(moduleName);
    };
};

} catch(ex) { log(ex); }